# Test adding product coupons to the InLine Checkout

## Overview

Use the `TwoCoInlineCart.card.addCoupons(['COUPON'])` method to apply multiple coupons.

## Use case - add coupons

1. Add an HTML link or button in your page like the one below.
2. Create a JavaScript click handler to execute the Inline Client desired methods.
3. Use the `TwoCoInlineCart.products.add({code, quantity, options})`method to prepare your catalog product.
4. To apply several coupons to your cart products, use the`TwoCoInlineCart.card.addCoupons(['COUPON'])`method.
5. To show the cart on your page call the`TwoCoInlineCart.cart.checkout()`method.

## Sample request

### HTML

```html
<a href="#" class="btn btn-success" id="buy-button">Buy now!</a>
```

### JavaScript

```javascript
window.document.getElementById('buy-button').addEventListener('click', function() {
  TwoCoInlineCart.products.add({
    code: "74B8E17CC0"
  });
  TwoCoInlineCart.cart.addCoupons(['CUPON']);
  TwoCoInlineCart.cart.checkout();
});
```

## Demo

After setting the test mode to add coupons to the InLine Checkout using the above method, your cart should look like this:

{% embed url="<https://codepen.io/2checkout-documentation/pen/orzbYP>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/shopping-carts/inline/use-cases/test-adding-product-coupons-to-the-inline-checkout.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
